Bug 133404 - new port: ports-mgmt/p5-FreeBSD-Pkgs-FindUpdates Finds upgraded and downgraded packages using the ports INDEX.
Summary: new port: ports-mgmt/p5-FreeBSD-Pkgs-FindUpdates Finds upgraded and downgr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-05 22:50 UTC by Zane C. Bowers-Hadley
Modified: 2009-04-30 23:50 UTC (History)
0 users

See Also:


Attachments
FreeBSD-Pkgs-FindUpdates.shar (2.95 KB, text/plain)
2009-04-05 22:50 UTC, Zane C. Bowers-Hadley
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2009-04-05 22:50:00 UTC

http://search.cpan.org/~vvelox/FreeBSD-Pkgs-FindUpdates-0.2.1/lib/FreeBSD/Pkgs/FindUpdates.pm

SYNOPSIS

This does use FreeBSD::Ports::INDEXhash. Thus if you want to specifiy the location of the index file, you will want to see the supported methodes for it in that module.

    use FreeBSD::Pkgs::FindUpdates;
    #initiates the module
    my $pkgsupdate = FreeBSD::Pkgs::FindUpdates->new();
    #finds changes
    my %changes=$pkgsupdate->find();
    #prints the upgraded stuff
    while(my ($name, $pkg) = each %{$changes{upgrade}}){
        print $name.' updated from "'.
              $pkg->{oldversion}.'" to "'.
              $pkg->{newversion}."\"\n";
    }
    #prints the downgraded stuff
    while(my ($name, $pkg) = each %{$changes{upgrade}}){
        print $name.' updated from "'.
              $pkg->{oldversion}.'" to "'.
              $pkg->{newversion}."\"\n";
    }

How-To-Repeat: 

1: Check to see if it exists in the ports tree.
2:
3: See it does not.
4: Unshar and enjoy.
Comment 1 Martin Wilke freebsd_committer 2009-04-06 08:32:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-04-30 23:47:29 UTC
miwi        2009-04-30 22:47:20 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt           Makefile 
  Added files:
    ports-mgmt/p5-FreeBSD-Pkgs-FindUpdates Makefile distinfo 
                                           pkg-descr pkg-plist 
  Log:
  Finds updates for FreeBSD pkgs by checking the ports index.
  
  pkg_findupdates - Finds updated packages.
  pkg_bupdate - Perform a binary packages update.
  
  WWW: http://search.cpan.org/dist/FreeBSD-Pkgs-FindUpdates/
  
  PR:             133404
  Submitted by:   "Zane C.B." <vvelox@vvelox.net>
  
  Revision  Changes    Path
  1.23      +1 -0      ports/ports-mgmt/Makefile
  1.1       +27 -0     ports/ports-mgmt/p5-FreeBSD-Pkgs-FindUpdates/Makefile (new)
  1.1       +3 -0      ports/ports-mgmt/p5-FreeBSD-Pkgs-FindUpdates/distinfo (new)
  1.1       +6 -0      ports/ports-mgmt/p5-FreeBSD-Pkgs-FindUpdates/pkg-descr (new)
  1.1       +10 -0     ports/ports-mgmt/p5-FreeBSD-Pkgs-FindUpdates/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2009-04-30 23:47:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!